> For the complete documentation index, see [llms.txt](https://docs.trysavvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trysavvy.com/other-useful-docs/work-in-progress/pending/work-in-progress-how-to-fetch-data-from-a-specific-row-in-airtable-in-a-computed-field.md).

# Work in Progress: How To Fetch Data from a specific row in Airtable in a Computed Field

{% hint style="info" %}
For fetching data from Airtable we will have to use an Async Computed Field
{% endhint %}

### Step 1: Create the Async Computed Field

Mark the async checkbox after creating the New Computed Field

### Step 2: Settings of the Flow

In Entire Flow --> Options --> Advance, add the Keys that we will need to identify the Airtable row from where we want to extract the data. In this case, it would be `customer_id`

### Step 3: Generate the function for the async Computed Field

```
function result({
  customer_id,
}) {
  return fetch(`https://api.airtable.com/v0/appZTPe3D7r1qi7KA/Report%20Results/${customer_id}`, {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer API_KEY',
    },
  }).then(response => response.json())
    .then(data => {
      const d = data.fields

      return d
    })
}


```

### Step 4: Getting the Data in the Response

The Data is going to come as a JSON object, so we only need to access the fields we need by dot notation for example `d.customer_id` or `d.main_score`

```
        "customer_id": "recGQGPy26Wh7nDBc",
        "site_design_text": "This website is very good. The design is clean and clear with excellent use of spacing, colour and animation.  \nThis website stands a very strong chan...",
        "main_comment": "This is a very good website",
        "main_score": 100,
        "company_url": "trysavvy.com",
        "company_name": "Savvy",
        "site_design_score": 25,
        "Flow URL": "https://flows.trysavvy.com/flow/Py2LmcoIEINqAAo1Wint?customer_id=recGQGPy26Wh7nDBc"
    }
  
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.trysavvy.com/other-useful-docs/work-in-progress/pending/work-in-progress-how-to-fetch-data-from-a-specific-row-in-airtable-in-a-computed-field.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
